Reject OAuth 2.0 Login Request
When an authorization code, hybrid, or implicit OAuth 2.0 Flow is initiated, Ory asks the login provider
PUT /admin/oauth2/auth/requests/login/reject
When an authorization code, hybrid, or implicit OAuth 2.0 Flow is initiated, Ory asks the login provider to authenticate the subject and then tell the Ory OAuth2 Service about it.
The authentication challenge is appended to the login provider URL to which the subject's user-agent (browser) is redirected to. The login provider uses that challenge to fetch information on the OAuth2 request and then accept or reject the requested authentication process.
This endpoint tells Ory that the subject has not authenticated and includes a reason why the authentication was denied.
The response contains a redirect URL which the login provider should redirect the user-agent to.
Operation ID: rejectOAuth2LoginRequest Tag: oAuth2
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
login_challenge | string | yes | OAuth 2.0 Login Request Challenge |
Request body
Content-Type: application/json
Type: object
Schema: rejectOAuth2Request, see the Ory Hydra API schemas reference for the full type.
Responses
| Status | Description | Body |
|---|---|---|
| 200 | oAuth2RedirectTo | application/json, object |
| default | errorOAuth2 | application/json, object |
Generated from ../athena/openapi.json at build time.